#include <iostream>

using namespace std;

int main()
{
    int N, k, s, b=0, b1=0;
    cin>>N>>k;
    int a[N];
    for(int i=0;i<N;i++)
    {
        cin>>a[i];
        b=b+a[i];
    }
    b1=b;
    if(k==0)
    {
        for(int i=0;i<N;i++)
        {
            s=s+a[i];
        }
    }
    if(k==1)
    {
        for(int i=0;i<N;i++)
        {
            for(int j=0;j<N-i;j++)
            {
                    s=s+b1;
                    b1=b1-a[N-j-1];
            }
            b=b-a[i];
            b1=b;
            cout<<"dalje "<<endl;
        }
    }
    cout<<s;
    return 0;
}